## Apache Zeta Components Manual :: File Source for execution_handler.php

## Source for file execution_handler.php

Documentation is available at execution_handler.php

1. <?php
2. /**
3. *
4. * Licensed to the Apache Software Foundation (ASF) under one
5. * or more contributor license agreements. See the NOTICE file
6. * distributed with this work for additional information
7. * regarding copyright ownership. The ASF licenses this file
8. * to you under the Apache License, Version 2.0 (the
9. * "License"); you may not use this file except in compliance
10. * with the License. You may obtain a copy of the License at
11. *
12. * http://www.apache.org/licenses/LICENSE-2.0
13. *
14. * Unless required by applicable law or agreed to in writing,
15. * software distributed under the License is distributed on an
16. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
17. * KIND, either express or implied. See the License for the
18. * specific language governing permissions and limitations
19. * under the License.
20. *
21. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
22. * @version //autogentag//
23. * @filesource
24. * @package Execution
25. */
27. /**
28. * Interface for Execution callback handlers.
29. *
30. * This interface describes the methods that an Execution callback handler
31. * should implement.
32. * @version //autogentag//
33. *
34. * For an example see {@link ezcExecution}.
35. *
36. * @package Execution
37. */
38. interface ezcExecutionErrorHandler
39. {
40. /**
41. * Processes an error situation
42. *
43. * This method is called by the ezcExecution environment whenever an error
44. * situation (uncaught exception or fatal error) happens. It accepts one
45. * default parameter in case there was an uncaught exception.
46. *
47. * @param Exception $e
48. * @return void
49. */
50. static public function onError ( Exception $e = null );
51. }
52. ?>

Documentation generated by phpDocumentor 1.4.3